<?php
class Garuda_Keen_Rating_Custom_Style
{
    public $options;
    public function __construct()
    {
        $this->options = get_option('gkr_options');
        $this->gkr_register_settings_and_fields();
    }
    public static function gkr_menu_page()
    {
        add_options_page('Keen Star Rating', 'Garuda Keen Rating', 'administrator', 'keen_star_rating', array('Garuda_Keen_Rating_Custom_Style', 'gkr_display_option_page'));
    }
    public static function gkr_display_option_page()
    {
        ?>
<div class="wrap">

    <h1 style="font-family:bold;"><?php echo esc_html('Garuda keen star rating plugin info', 'garuda-keen-rating'); ?></h1>
    <h2><?php echo esc_html('Shortcode:', 'garuda-keen-rating') ?> <?php echo esc_attr('[keen_star_rating]', 'garuda-keen-rating'); ?></h2>
    <p><?php echo esc_html('Use this shortcode to display this rating plugin. You can display any where. Just use this shortcode.', 'garuda-keen-rating'); ?></p>
    <P><?php echo esc_html("Paste this code where you want to show : echo do_shortcode('[keen_star_rating]')", 'garuda-keen-rating'); ?> </P>
    <form action="options.php" method="post" enctype="multipart/form-data">
        <?php
                settings_fields('gkr_options');
                do_settings_sections('keen_star_rating');

                ?>
        <p class="submit">
            <input name="submit" type="submit" class="button-primary" value="Save changes" />
        </p>
    </form>
</div>

<?php
    }
    public function gkr_register_settings_and_fields()
    {
        register_setting('gkr_options', 'gkr_options', array($this, 'validate_settings'));

        add_settings_section('keen_section', 'General Settings', array($this, 'gkr_section_callback'), 'keen_star_rating');

        add_settings_field('gkr_color_scheme', 'Star color', array($this, 'gkr_star_color'), 'keen_star_rating', 'keen_section');

        add_settings_field('gkr_hovar_color', 'Star Hover Color', array($this, 'gkr_hovar_color'), 'keen_star_rating', 'keen_section');

        add_settings_field('gkr_selected_color', 'Star Selected Average Color', array($this, 'gkr_selected_color'), 'keen_star_rating', 'keen_section');

        add_settings_field('gkr_font_size', 'Star Size', array($this, 'gkr_font_size'), 'keen_star_rating', 'keen_section');

        add_settings_field('gkr_checkbox', 'Hide How Many User Give Rating', array($this, 'gkr_checkbox'), 'keen_star_rating', 'keen_section');
    }


    public function gkr_section_callback()
    { }

    public function gkr_star_color()
    {

        $color = array('Black', 'Yellow', 'Orange', 'Red', 'Green', 'Cyan', 'Blue', 'Purple', 'Pink', 'Gray', 'Brown');
        echo "<select name='gkr_options[gkr_color_scheme]'>";
        foreach ($color as $item) {
            $selected = ($this->options['gkr_color_scheme'] === $item) ? 'selected = "selected" ' : '';
            echo "<option value='$item' $selected>$item</option>";
        }
        echo "</select>";
    }

    public function gkr_hovar_color()
    {

        $color = array('Black', 'Yellow', 'Orange', 'Red', 'Green', 'Cyan', 'Blue', 'Purple', 'Pink', 'Gray', 'Brown');
        echo "<select name='gkr_options[gkr_hovar_color]'>";
        foreach ($color as $item) {
            $selected = ($this->options['gkr_hovar_color'] === $item) ? 'selected = "selected" ' : '';
            echo "<option value='$item' $selected>$item</option>";
        }
        echo "</select>";
    }

    public function gkr_selected_color()
    {

        $color = array('Black', 'Yellow', 'Orange', 'Red', 'Green', 'Cyan', 'Blue', 'Purple', 'Pink', 'Gray', 'Brown');
        echo "<select name='gkr_options[gkr_selected_color]'>";
        foreach ($color as $item) {
            $selected = ($this->options['gkr_selected_color'] === $item) ? 'selected = "selected" ' : '';
            echo "<option value='$item' $selected>$item</option>";
        }
        echo "</select>";
    }

    public function gkr_font_size()
    {

        $font_size = array('60%', '70%', '80%', '90%');
        echo "<select name='gkr_options[gkr_font_size]'>";
        foreach ($font_size as $item) {
            $selected = ($this->options['gkr_font_size'] === $item) ? 'selected = "selected" ' : '';
            echo "<option value='$item' $selected>$item</option>";
        }
        echo "</select>";
    }

    public function gkr_checkbox()
    {
        ?>
<input type="checkbox" name='gkr_options[gkr_checkbox]' value="1" <?php echo $this->options['gkr_checkbox'] == 1 ? 'checked' : ''; ?> />
<?php
    }
}

add_action('admin_menu', 'gkr_admin_menu');
function gkr_admin_menu()
{
    Garuda_Keen_Rating_Custom_Style::gkr_menu_page();
}

add_action('admin_init', 'gkr_admin_init');
function gkr_admin_init()
{
    new Garuda_Keen_Rating_Custom_Style();
}
